For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all counterparts
      • POSTCreate a counterpart
      • GETGet a counterpart
      • DELDelete a counterpart
      • PATCHUpdate a counterpart
      • GETGet counterpart metadata
      • PUTReplace counterpart metadata
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterparts

Create a counterpart

POST
/counterparts
POST
/v1/counterparts
$curl -X POST https://api.sandbox.monite.com/v1/counterparts \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "organization",
> "organization": {
> "address": {
> "city": "Berlin",
> "country": "AF",
> "line1": "Flughafenstrasse 52",
> "postal_code": "10115"
> },
> "is_customer": true,
> "is_vendor": true,
> "legal_name": "Acme Inc."
> }
>}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "created_automatically": true,
6 "created_by_entity_user_id": "created_by_entity_user_id",
7 "default_billing_address_id": "default_billing_address_id",
8 "default_shipping_address_id": "default_shipping_address_id",
9 "external_reference": "123456789",
10 "individual": {
11 "email": "asingh@example.net",
12 "first_name": "Adnan",
13 "is_customer": true,
14 "is_vendor": true,
15 "last_name": "Singh",
16 "phone": "5553211234",
17 "tags": [
18 {
19 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
20 "created_at": "2022-09-07T16:35:18Z",
21 "updated_at": "2022-09-07T16:35:18Z",
22 "category": "document_type",
23 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
24 "description": "Tag for the Marketing Department",
25 "name": "Marketing"
26 }
27 ],
28 "title": "Mr."
29 },
30 "language": "ab",
31 "reminders_enabled": true,
32 "tax_id": "tax_id",
33 "type": "individual"
34}
Was this page helpful?
Previous

Get a counterpart

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
organizationobjectRequired

This schema is used to create counterparts that are organizations (juridical persons).

OR
individualobjectRequired

This schema is used to create counterparts that are individuals (natural persons).

Response

Successful Response
object
OR
object

Errors

401
Post Counterparts Request Unauthorized Error
403
Post Counterparts Request Forbidden Error
422
Post Counterparts Request Unprocessable Entity Error
500
Post Counterparts Request Internal Server Error